// +----------------------------------------------------------------------
// | @copyright Lianwo168
// +----------------------------------------------------------------------
// | Copyright (c) 2013 http://lianwo168.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed 无线业务
// +----------------------------------------------------------------------
// | Author: 赵桓
// +----------------------------------------------------------------------

/**
 +------------------------------------------------------------------------------
 * Portal页面上网行为控制
 * 描述:为了能将页面中的数据前后台公用，将此页面配置的所有行为方式放在了env.setting里，只要初始化
 * (env.init)一下，就可以得到整个设置的所有数据
 * 其它:JJ同学提供了一个写BAC的通用方法，我将写入与读取与写入封装在了util.setCustomData、
 * util.getCustomData
 +------------------------------------------------------------------------------
 * @author    赵桓<if1983@126.com>
 * @version   1.0 2013-12
 +------------------------------------------------------------------------------
 */
;(function(){
	window.behavior={
		//初始化
		init:function(){
			env.init();
			CONFIG.setting=env.setting;
			CONFIG.sitetype=sitetype;
			this.layout();
			$('#btn_update').click(function(){
				behavior.handledata();
			});
		},
		//布局数据
		layout:function(){
			if(CONFIG.setting=='')return;
			//1:网吧 2:酒店 3:商户 4:企业
			switch(CONFIG.sitetype){
				case 1:
					this.modcyber();
					break;
				default:
					this.modtenant();
					break;
			}
			var check=CONFIG.setting.pcwifi.en==1?true:false;
			$('#pc_flag').attr('checked',check);
			var customenv=util.getCustomData('env');
			if(customenv!=undefined){
				check=customenv.apponly==1?true:false;
				$('#app_flag').attr('checked',check);
			}
			$('#verifycode').val(env.setting.codes);
			this.loadtrial();
		},
		//免费体验数据
		loadtrial:function(){
			var check=CONFIG.setting.trial.enable==1?true:false;
			$('#trial_flag').attr('checked',check);
			$('#trial_note').val(CONFIG.setting.trial.desc);
			$('#trial_time').val(CONFIG.setting.trial.time);
		},
		//网吧模式(暂未引用此脚本)
		modcyber:function(){

		},
		//商户模式
		modtenant:function(){
			var acmod=CONFIG.setting.acmode.mode;
			if($.inArray(acmod,[1,4])<0){
				acmod=1;
				this.autoopen();
			}
			$('#mode'+acmod).attr('checked',true);
		},
		//当网吧模式中开启封闭模式转到商店模式时，自动开启开放模式
		autoopen:function(){
			env.setapi.acmode.data.mode=1;
			this.update(env.setapi.acmode);
		},
		//整理数据进行保存
		handledata:function(){
			var item={};
			env.setapi.acmode.data.mode=$('input:radio[name="mode"]:checked').val();
			env.setapi.pcwifi.data.en=$('#pc_flag').is(':checked')?1:0;
			var apponly=$('#app_flag').is(':checked')?1:0;
			env.setapi.verifycode.data.acodes=$('#verifycode').val();//验证码
			if(env.setapi.acmode.data.mode==4&&env.setapi.verifycode.data.acodes==''){
				alert('验证码不能为空');
				$('#verifycode').focus();
				return;
			}
			//免费体验
			env.setapi.trial.data.enable=$('#trial_flag').is(':checked')?1:0;
			env.setapi.trial.data.desc=$('#trial_note').val();//免费体验提示
			env.setapi.trial.data.time=$('#trial_time').val();//免费体验时间
			var data={apponly:apponly};
			util.setCustomData('env',data);
			
			for( key in env.setapi){
				item=env.setapi[key];
				this.update(item);
			}
			alert('保存成功');
		},
		//更新数据
		update:function(obj){
			if(obj.api==''||obj.data=='')return;
			var method='GET';
			if(obj.method!='')
				method=obj.method;
			$.ajax({
			  	type: method, 
			  	dataType: "json", 
			  	url: "/"+obj.api+"?t="+util.rand(), 
			  	data: obj.data,
			  	success: function(data) {	
				  	
			  	} 
			});	
		}
	};
})();